Show journal
Retrieve a specific journal by its ID
GET
/
admin
/
api
/
v1
/
accounts
/
journals
/
{id}
Show journal
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/journals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/journals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/journals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/journals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Customer Invoices",
"code": "INV",
"type": "sale",
"color": "11",
"sort": 5,
"show_on_dashboard": 1,
"refund_order": 1,
"payment_order": 0,
"company_id": 1,
"currency_id": 1,
"default_account_id": 27,
"suspense_account_id": null,
"profit_account_id": null,
"loss_account_id": null,
"bank_account_id": null,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show journal
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/accounts/journals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/accounts/journals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/accounts/journals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/accounts/journals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Customer Invoices",
"code": "INV",
"type": "sale",
"color": "11",
"sort": 5,
"show_on_dashboard": 1,
"refund_order": 1,
"payment_order": 0,
"company_id": 1,
"currency_id": 1,
"default_account_id": 27,
"suspense_account_id": null,
"profit_account_id": null,
"loss_account_id": null,
"bank_account_id": null,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}